Altibase.jdbc.driver.util

## Class AltibaseEnvironmentVariables

- java.lang.Object
- - Altibase.jdbc.driver.util.AltibaseEnvironmentVariables

    public final class AltibaseEnvironmentVariables
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `ENV_ALTIBASE_CONNTYPE_FORCE_FOR_TEST`
`static java.lang.String` `ENV_ALTIBASE_DATE_FORMAT`
`static java.lang.String` `ENV_ALTIBASE_HOME`
`static java.lang.String` `ENV_ALTIBASE_HOST_FORCE_FOR_TEST`
`static java.lang.String` `ENV_ALTIBASE_IB_PORT`
`static java.lang.String` `ENV_ALTIBASE_JDBC_TRACE`
`static java.lang.String` `ENV_ALTIBASE_NCHAR_LITERAL_REPLACE`
`static java.lang.String` `ENV_ALTIBASE_NLS_USE`
`static java.lang.String` `ENV_ALTIBASE_PORT`
`static java.lang.String` `ENV_ALTIBASE_SSL_PORT`
`static java.lang.String` `ENV_ALTIBASE_STMTCACHE_FORCE_FOR_TEST`
`static java.lang.String` `ENV_ALTIBASE_TIME_ZONE`
`static java.lang.String` `ENV_HOME`
`static java.lang.String` `ENV_RESPONSE_TIMEOUT`
`static java.lang.String` `ENV_SOCK_RCVBUF_BLOCK_RATIO`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `getAltibaseHome()`
`static java.lang.String` `getConnTypeForceForTest()`
`static java.lang.String` `getDateFormat()`
`static java.lang.String` `getHome()`
`static java.lang.String` `getHostForceForTest()`
`static int` `getIBPort(int aDefaultIBPort)`
`static java.lang.String` `getNlsUse()`
`static int` `getPort()`
`static int` `getPort(int aDefaultPort)`
`static int` `getResponseTimeout()`
`static int` `getResponseTimeout(int aDefaultTimeout)`
`static int` `getSockRcvBufBlockRatio()` ALTIBASE_SOCK_RCVBUF_BLOCK_RATIO 환경변수를 읽는다.
`static int` `getSslPort()`
`static int` `getSslPort(int aDefaultSslPort)`
`static boolean` `getStmtCacheForceForTest()`
`static java.lang.String` `getTimeZone()`
`static boolean` `isSet(java.lang.String aKey)`
`static boolean` `useJdbcTrace()`
`static boolean` `useNCharLiteralReplace()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ENV_ALTIBASE_HOME

    public static final java.lang.String ENV_ALTIBASE_HOME

See Also:
  Constant Field Values

#### ENV_ALTIBASE_PORT

    public static final java.lang.String ENV_ALTIBASE_PORT

See Also:
  Constant Field Values

#### ENV_ALTIBASE_SSL_PORT

    public static final java.lang.String ENV_ALTIBASE_SSL_PORT

See Also:
  Constant Field Values

#### ENV_ALTIBASE_IB_PORT

    public static final java.lang.String ENV_ALTIBASE_IB_PORT

See Also:
  Constant Field Values

#### ENV_ALTIBASE_CONNTYPE_FORCE_FOR_TEST

    public static final java.lang.String ENV_ALTIBASE_CONNTYPE_FORCE_FOR_TEST

See Also:
  Constant Field Values

#### ENV_ALTIBASE_HOST_FORCE_FOR_TEST

    public static final java.lang.String ENV_ALTIBASE_HOST_FORCE_FOR_TEST

See Also:
  Constant Field Values

#### ENV_ALTIBASE_TIME_ZONE

    public static final java.lang.String ENV_ALTIBASE_TIME_ZONE

See Also:
  Constant Field Values

#### ENV_ALTIBASE_NLS_USE

    public static final java.lang.String ENV_ALTIBASE_NLS_USE

See Also:
  Constant Field Values

#### ENV_ALTIBASE_NCHAR_LITERAL_REPLACE

    public static final java.lang.String ENV_ALTIBASE_NCHAR_LITERAL_REPLACE

See Also:
  Constant Field Values

#### ENV_ALTIBASE_DATE_FORMAT

    public static final java.lang.String ENV_ALTIBASE_DATE_FORMAT

See Also:
  Constant Field Values

#### ENV_RESPONSE_TIMEOUT

    public static final java.lang.String ENV_RESPONSE_TIMEOUT

See Also:
  Constant Field Values

#### ENV_HOME

    public static final java.lang.String ENV_HOME

See Also:
  Constant Field Values

#### ENV_ALTIBASE_JDBC_TRACE

    public static final java.lang.String ENV_ALTIBASE_JDBC_TRACE

See Also:
  Constant Field Values

#### ENV_SOCK_RCVBUF_BLOCK_RATIO

    public static final java.lang.String ENV_SOCK_RCVBUF_BLOCK_RATIO

See Also:
  Constant Field Values

#### ENV_ALTIBASE_STMTCACHE_FORCE_FOR_TEST

    public static final java.lang.String ENV_ALTIBASE_STMTCACHE_FORCE_FOR_TEST

See Also:
  Constant Field Values

### Method Detail

#### isSet

    public static boolean isSet(java.lang.String aKey)

#### getAltibaseHome

    public static java.lang.String getAltibaseHome()

#### getPort

    public static int getPort()

#### getPort

    public static int getPort(int aDefaultPort)

#### getSslPort

    public static int getSslPort()

#### getSslPort

    public static int getSslPort(int aDefaultSslPort)

#### getIBPort

    public static int getIBPort(int aDefaultIBPort)

#### getTimeZone

    public static java.lang.String getTimeZone()

#### getNlsUse

    public static java.lang.String getNlsUse()

#### useNCharLiteralReplace

    public static boolean useNCharLiteralReplace()

#### getHome

    public static java.lang.String getHome()

#### getDateFormat

    public static java.lang.String getDateFormat()

#### getConnTypeForceForTest

    public static java.lang.String getConnTypeForceForTest()

#### getHostForceForTest

    public static java.lang.String getHostForceForTest()

#### getStmtCacheForceForTest

    public static boolean getStmtCacheForceForTest()

#### getResponseTimeout

    public static int getResponseTimeout()

#### getResponseTimeout

    public static int getResponseTimeout(int aDefaultTimeout)

#### useJdbcTrace

    public static boolean useJdbcTrace()

#### getSockRcvBufBlockRatio

    public static int getSockRcvBufBlockRatio()

ALTIBASE_SOCK_RCVBUF_BLOCK_RATIO 환경변수를 읽는다.